import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * Schema for Module Fragment of type Unxpose::IAM::Integration::MODULE
 *
 * @schema CfnIntegrationModuleProps
 */
export interface CfnIntegrationModuleProps {
    /**
     * @schema CfnIntegrationModuleProps#Parameters
     */
    readonly parameters?: CfnIntegrationModulePropsParameters;
    /**
     * @schema CfnIntegrationModuleProps#Resources
     */
    readonly resources?: CfnIntegrationModulePropsResources;
}
/**
 * Converts an object of type 'CfnIntegrationModuleProps' to JSON representation.
 */
export declare function toJson_CfnIntegrationModuleProps(obj: CfnIntegrationModuleProps | undefined): Record<string, any> | undefined;
/**
 * @schema CfnIntegrationModulePropsParameters
 */
export interface CfnIntegrationModulePropsParameters {
    /**
     * ExternalId
     *
     * @schema CfnIntegrationModulePropsParameters#ExternalId
     */
    readonly externalId?: CfnIntegrationModulePropsParametersExternalId;
}
/**
 * Converts an object of type 'CfnIntegrationModulePropsParameters' to JSON representation.
 */
export declare function toJson_CfnIntegrationModulePropsParameters(obj: CfnIntegrationModulePropsParameters | undefined): Record<string, any> | undefined;
/**
 * @schema CfnIntegrationModulePropsResources
 */
export interface CfnIntegrationModulePropsResources {
    /**
     * @schema CfnIntegrationModulePropsResources#UnxposeRole
     */
    readonly unxposeRole?: CfnIntegrationModulePropsResourcesUnxposeRole;
    /**
     * @schema CfnIntegrationModulePropsResources#UnxposePolicy
     */
    readonly unxposePolicy?: CfnIntegrationModulePropsResourcesUnxposePolicy;
}
/**
 * Converts an object of type 'CfnIntegrationModulePropsResources' to JSON representation.
 */
export declare function toJson_CfnIntegrationModulePropsResources(obj: CfnIntegrationModulePropsResources | undefined): Record<string, any> | undefined;
/**
 * ExternalId
 *
 * @schema CfnIntegrationModulePropsParametersExternalId
 */
export interface CfnIntegrationModulePropsParametersExternalId {
    /**
     * @schema CfnIntegrationModulePropsParametersExternalId#Type
     */
    readonly type: string;
    /**
     * @schema CfnIntegrationModulePropsParametersExternalId#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnIntegrationModulePropsParametersExternalId' to JSON representation.
 */
export declare function toJson_CfnIntegrationModulePropsParametersExternalId(obj: CfnIntegrationModulePropsParametersExternalId | undefined): Record<string, any> | undefined;
/**
 * @schema CfnIntegrationModulePropsResourcesUnxposeRole
 */
export interface CfnIntegrationModulePropsResourcesUnxposeRole {
    /**
     * @schema CfnIntegrationModulePropsResourcesUnxposeRole#Type
     */
    readonly type?: string;
    /**
     * @schema CfnIntegrationModulePropsResourcesUnxposeRole#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnIntegrationModulePropsResourcesUnxposeRole' to JSON representation.
 */
export declare function toJson_CfnIntegrationModulePropsResourcesUnxposeRole(obj: CfnIntegrationModulePropsResourcesUnxposeRole | undefined): Record<string, any> | undefined;
/**
 * @schema CfnIntegrationModulePropsResourcesUnxposePolicy
 */
export interface CfnIntegrationModulePropsResourcesUnxposePolicy {
    /**
     * @schema CfnIntegrationModulePropsResourcesUnxposePolicy#Type
     */
    readonly type?: string;
    /**
     * @schema CfnIntegrationModulePropsResourcesUnxposePolicy#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnIntegrationModulePropsResourcesUnxposePolicy' to JSON representation.
 */
export declare function toJson_CfnIntegrationModulePropsResourcesUnxposePolicy(obj: CfnIntegrationModulePropsResourcesUnxposePolicy | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `Unxpose::IAM::Integration::MODULE`
 *
 * @cloudformationResource Unxpose::IAM::Integration::MODULE
 * @stability external
 * @link http://unknown-url
 */
export declare class CfnIntegrationModule extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "Unxpose::IAM::Integration::MODULE";
    /**
     * Resource props.
     */
    readonly props: CfnIntegrationModuleProps;
    /**
     * Create a new `Unxpose::IAM::Integration::MODULE`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnIntegrationModuleProps);
}
